hypixel_dart 0.0.9
hypixel_dart: ^0.0.9

Dart native js
Flutter Android iOS web

An asynchronous wrapper for the Hypixel Network API

Hypixel-Dart #

Dart wrapper for the Hypixel API

Usage #

Download via pub with

pub get hypixel_dart


void main() async {
  HypixelAPI api = HypixelAPI();
  api.setApiKey("API KEY HERE");
  
  Player player = Player();
  
  print(await player.getFriendsByName("RapidTheNerd"));
}

Returns

{"success":true,"records":[
{"_id":"52e41c160cf2a8a99eaca574","started":1390681110519,"uuidReceiver":"522e495748ee41d2a7df0596c0433c72","uuidSender":"43db704e10b140b3a38dce059de35a59"},
{"_id":"52f6a98184aecbbf904f1149","started":1391896961799,"uuidReceiver":"90a6cb8e1b334da091776b3915138db0","uuidSender":"43db704e10b140b3a38dce059de35a59"}
0
likes
70
pub points
0%
popularity

An asynchronous wrapper for the Hypixel Network API

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

george.marr.cobc@gmail.com

License

GPL 3.0 (LICENSE)

Dependencies

http

More

Packages that depend on hypixel_dart